oka-lists:
  default_max_per_page: 10
  default_type: paginate
  default_export_type: "html"
  # default_template:
  #   parent: 
  #   cell: 
  #   body: 
  #   head: 
  #   head_cell: 
  lists_config:
    person_list:
      max_per_page: 10
      controller: "un_controller_stimulus"
      action: "une_action_stimulus"
      line_controller: "un_controller_stimulus"
      line_action: "une_action_stimulus"
      column:
        - {id: "firstname", display: "Prénom"}
        - {id: "lastname", display: "Nom de famille", controller: "un_controller_stimulus", action: "une_action_stimulus"}
        - {id: "age", display: "Âge"}
        - {id: "active", display: "Actif"}
    person_list_sortable:
      max_per_page: 10
      column:
        - {id: "id", display: "#"}
        - {id: "firstname", display: "Prénom"}
        - {id: "lastname", display: "Nom de famille"}
      sort:
        - { field: "lastname"}
    person_list_card:
      max_per_page: 5
      list_mode: cards
      template:
        card: "pages/card_case/_fragments/_card.html.twig"
      column:
        - {id: "id", display: "#"}
        - {id: "firstname", display: "Prénom"}
        - {id: "lastname", display: "Nom de famille"}
        - {id: "age", display: "Âge"}
      sort:
        - { field: "lastname"}
    person_list_filtrable:
      max_per_page: 10
      column:
        - {id: "id", display: "#"}
        - {id: "firstname", display: "Prénom"}
        - {id: "lastname", display: "Nom de famille"}
    person_list_filtrable_sql:
      max_per_page: 10
      column:
        - {id: "u.id", display: "#"}
        - {id: "u.email", display: "Email"}
        - {id: "u.isVerified", display: "Compte vérifié"}
    arraylist:
      max_per_page: 10
      column:
        - {id: "id", display: "#"}
        - {id: "name", display: "Nom"}
        - {id: "address", display: "Addresse"}

    doctrinequery:
      max_per_page: 10
      column:
        - {id: "u.id", display: "#"}
        - {id: "u.email", display: "Email"}
        - {id: "u.password", display: "Mot de passe"}

    exportlist:
      max_per_page: 10
      export_type: xlsx
      export_filename: un_super_nom_de_fichier
      column:
        - {id: "id", display: "#"}
        - {id: "name", display: "Nom"}
      export_column:
        - {id: "id", display: "Identifiant"}
        - {id: "address.street", display: "Rue"}
        - {id: "address.city.name", display: "Ville"}
        - {id: "address.city.zip", display: "Code postal"}
        

  # ==================== SIMULATIONS ====================
    sgdl1:
      template : 
        cell:
          etatSgdl: "pages/simulations/sgdl/_etat.html.twig"
      extra_class: "-primary -flat -separate -shaded -links"
      onclick: "alert('Identifiant: {id}');"
      max_per_page: 10
      column:
        - {id: "etatSgdl", display: "État" , size : "-xxs"}
        - {id: "lastname", display: "Nom", align: "-left"  , font : "-strong"}
        - {id: "firstname", display: "Prénom" , align: "-left"  , font : "-strong"}
        - {id: "email", display: "E-mail", align: "-left"  , font : "-sm"}
        - {id: "oeuvres", display: "Oeuvres" , font : "-xs"}
        - {id: "depots", display: "Dépôts" , font : "-xs"}
        - {id: "connexion", display: "Dernière connexion"}
      sort:
        - { field: "firstname"}
        - { field: "lastname"}
        - { field: "email"}
        - { field: "oeuvres"}
        - { field: "depots"}

    sgdl2:
      template : 
        cell:
          etatSgdl2: "pages/simulations/sgdl2/_etat.html.twig"
      extra_class: "-primary -flat -separate -shaded -links"
      onclick: "alert('Identifiant: {id}');"
      max_per_page: 10
      sort:
        - { field: "expiration"}
      virtual_column: 
        - {id: "action", display: "", place: -1, align : "-right", template: "pages/simulations/sgdl2/_action.html.twig"}
      column:
        - {id: "etatSgdl2", display: "État" , size : "-xs"}
        - {id: "expiration", display: "Expiration" , font : "-xs"}
        - {id: "titres", display: "Intitulé" , align: "-left" , font : "-strong"}
        - {id: "version", display: "version", font : "-xs"}
        - {id: "contenu", display: "Contenu" , font : "-xs"}
      